# Copyright (C) 2007 International Business Machines Corp.
# Author(s): Michael A. Halcrow <mhalcrow@us.ibm.com>

lib_LTLIBRARIES = libpam_ecryptfs.la

libpam_ecryptfs_la_LDFLAGS = -ldl -lpam -lpam_misc -L../libecryptfs -lecryptfs -lcrypto -lgcrypt -lgpg-error
libpam_ecryptfs_la_SOURCES = pam_ecryptfs.c

install-data-local:
	mkdir -p $(DESTDIR)/@PAMDIR@
	mv $(DESTDIR)/$(libdir)/libpam_ecryptfs.so.0.0.0 $(DESTDIR)/@PAMDIR@/pam_ecryptfs.so
	chmod 755 $(DESTDIR)/@PAMDIR@/pam_ecryptfs.so
	rm -f $(DESTDIR)/$(libdir)/libpam_ecryptfs.*a
	rm -f $(DESTDIR)/$(libdir)/libpam_ecryptfs.so*
